org.eclipse.ecf.filetransfer.events.socket

## Interface ISocketEventSource

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable

All Known Implementing Classes:
  SocketEventSource

    public interface ISocketEventSource
    extends org.eclipse.core.runtime.IAdaptable

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addListener(ISocketListener listener)`
`void` `fireEvent(ISocketEvent event)`
`void` `removeListener(ISocketListener listener)`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### addListener

    void addListener(ISocketListener listener)

#### removeListener

    void removeListener(ISocketListener listener)

#### fireEvent

    void fireEvent(ISocketEvent event)